

drivers/i2c/i2c-dev.c: In function `i2cdev_read':
drivers/i2c/i2c-dev.c:140: warning: int format, different type arg (arg 3)
drivers/i2c/i2c-dev.c: In function `i2cdev_write':
drivers/i2c/i2c-dev.c:168: warning: int format, different type arg (arg 3)


---

 25-akpm/drivers/i2c/i2c-dev.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/i2c/i2c-dev.c~i2c-dev-warning-fixes drivers/i2c/i2c-dev.c
--- 25/drivers/i2c/i2c-dev.c~i2c-dev-warning-fixes	2004-04-08 00:50:41.036074104 -0700
+++ 25-akpm/drivers/i2c/i2c-dev.c	2004-04-08 00:51:00.765074840 -0700
@@ -137,7 +137,7 @@ static ssize_t i2cdev_read (struct file 
 	if (tmp==NULL)
 		return -ENOMEM;
 
-	pr_debug("i2c-dev: i2c-%d reading %d bytes.\n",
+	pr_debug("i2c-dev: i2c-%d reading %zd bytes.\n",
 		iminor(file->f_dentry->d_inode), count);
 
 	ret = i2c_master_recv(client,tmp,count);
@@ -165,7 +165,7 @@ static ssize_t i2cdev_write (struct file
 		return -EFAULT;
 	}
 
-	pr_debug("i2c-dev: i2c-%d writing %d bytes.\n",
+	pr_debug("i2c-dev: i2c-%d writing %zd bytes.\n",
 		iminor(file->f_dentry->d_inode), count);
 
 	ret = i2c_master_send(client,tmp,count);

_
